package Keys;

import java.io.*;
/*
 * IntKeyTokenizer.java
 *
 * Created on November 16, 2001, 8:22 AM
 */


/**
 *
 * @author  hansen
 * @version 
 */
public class IntKeyTokenizer implements KeyTokenizer {

    private File inFile;
    private FileReader fileReader;
    private BufferedReader bufReader;
    private String line;
        

    /** Creates new IntKeyTokenizer */
    public IntKeyTokenizer(String filename) {
        try {
            inFile = new File (filename);
            fileReader = new FileReader(inFile);
            bufReader = new BufferedReader(fileReader);
            line = bufReader.readLine();   
        }
        catch (Exception e) {}
    }
    
    public boolean hasNext() {
        return (line != null);
    }
    
    public Key getNext() {
        Key temp = new IntegerKey (new Integer(line));
        try {
            line = bufReader.readLine();
        }
        catch (Exception e) {}
        return temp;
    }

}
